This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 429344 - rpm duplicates entries via YUM
rpm duplicates entries via YUM
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 15:21 EST by marc+fcbugs
Modified: 2008-01-19 03:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 03:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description marc+fcbugs 2008-01-18 15:21:38 EST
Description of problem:

rpm -q -a shows duplication of packages that have been installed.  

# yum update | tail
Error: Missing Dependency: pgpool-II = 2.0.1 is needed by package
postgresql-pgpool-II-devel
--> Processing Dependency: libsgutils.so.1 for package: libgpod
--> Running transaction check
---> Package sg3_utils-libs.i386 0:1.23-2.fc8 set to be updated
---> Package postgresql-pgpool-II-devel.x86_64 0:2.0.1-1.fc8 set to be updated
--> Processing Dependency: pgpool-II = 2.0.1 for package: postgresql-pgpool-II-devel
---> Package htmlview.noarch 0:4.0.0-3.fc7 set to be updated
---> Package postgresql-pgpool-II-devel.i386 0:2.0.1-1.fc8 set to be updated
--> Processing Dependency: pgpool-II = 2.0.1 for package: postgresql-pgpool-II-devel
---> Package sg3_utils-libs.x86_64 0:1.23-2.fc8 set to be updated
--> Finished Dependency Resolution


# rpm -q -a | wc -l
1530
# rpm -q -a | sort -u | wc -l
1184

As a sample:
 rpm -q -a | sort | tail -20
xterm-229-2.fc8
yelp-2.20.0-6.fc8
ypbind-1.20.4-2.fc8
yp-tools-2.9-2
yum-3.2.8-2.fc8
yum-metadata-parser-1.1.2-1.fc8
yum-updatesd-0.9-1.fc8
zaptel-1.4.6-1.fc8
zaptel-devel-1.4.6-1.fc8
zaptel-devel-1.4.6-1.fc8
zaptel-lib-1.4.6-1.fc8
zaptel-lib-1.4.6-1.fc8
zaptel-utils-1.4.6-1.fc8
zd1211-firmware-1.4-1
zenity-2.20.1-2.fc8
zip-2.31-3.fc7
zlib-1.2.3-14.fc8
zlib-1.2.3-14.fc8
zlib-devel-1.2.3-14.fc8
zlib-devel-1.2.3-14.fc8

# rpm -q -a | grep pgpool
postgresql-pgpool-II-1.2.1-1.fc8
postgresql-pgpool-II-1.2.1-1.fc8
postgresql-pgpool-II-devel-1.2.1-1.fc8
postgresql-pgpoolAdmin-1.0.0-7.fc8
postgresql-pgpool-II-devel-1.2.1-1.fc8


Version-Release number of selected component (if applicable):

# uname -a
Linux 2.6.23.9-85.fc8 #1 SMP Fri Dec 7 15:49:36 EST 2007 x86_64 x86_64 x86_64
GNU/Linux

How reproducible:

No idea. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Panu Matilainen 2008-01-19 03:53:40 EST
They're not duplicates, see
http://docs.fedoraproject.org/release-notes/f8/en_US/sn-ArchSpecific.html#sn-rpm-multiarch

Note You need to log in before you can comment on or make changes to this bug.